#include<iostream>
using namespace std;
void proverka(int,int,int[],int&);
int main(){
int n;
cin>>n;
int a[n];
for(int i=0;i<n;i++){
cin>>a[i];
}
int l,r,br=0,br2=0;
for(int u=0;u<n-1;u++){
l=u;
for(int j=u+1;j<n;j++){
r=j;
proverka(l,r,a,br);
if(br==r-l-1){
br2++;
}
br=0;
}
}
cout<<br2<<endl;
return 0;
}
void proverka(int l,int r,int a[],int& br){
for(int y=l+1;y<=r-1;y++){
if(a[l]>=a[y]||a[r]>=a[y]){
br++;
}
}
}
